# UserAvatarMetadata class

## Constructors

UserAvatarMetadata (String id, int length, int? width, int? height, String type, String? url)
  const
UserAvatarMetadata.fromXML (XMLNode node)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
height → int?
  final
id → String
  The identifier of the avatar.
  final
length → int
  The amount of bytes in the file.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
type → String
  The MIME type of the avatar.
  final
url → String?
  The URL where the avatar can be found.
  final
width → int?
  Image proportions.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited